import 'package:flutter/material.dart';

///
/// A collection of different pre build gradients taken from https://uigradients.com
///
class EzGradients {
  ///
  /// Grade Grey taken from https://uigradients.com/#GradeGrey
  ///
  static Gradient gradeGrey = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbdc3c7), Color(0x2c3e50)]);

  ///
  /// Piggy Pink taken from https://uigradients.com/#PiggyPink
  ///
  static Gradient piggyPink = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xee9ca7), Color(0xffdde1)]);

  ///
  /// Cool Blues taken from https://uigradients.com/#CoolBlues
  ///
  static Gradient coolBlues = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2193b0), Color(0x6dd5ed)]);

  ///
  /// MegaTron taken from https://uigradients.com/#MegaTron
  ///
  static Gradient megatron = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc6ffdd), Color(0xfbd786)]);

  ///
  /// Moonlit Asteroid taken from https://uigradients.com/#MoonlitAsteroid
  ///
  static Gradient moonlitAsteroid = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0f2027), Color(0x203a43)]);

  ///
  /// JShine taken from https://uigradients.com/#JShine
  ///
  static Gradient jshine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x12c2e9), Color(0xc471ed)]);

  ///
  /// Evening Sunshine taken from https://uigradients.com/#EveningSunshine
  ///
  static Gradient eveningSunshine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb92b27), Color(0x1565c0)]);

  ///
  /// Dark Ocean taken from https://uigradients.com/#DarkOcean
  ///
  static Gradient darkOcean = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x373b44), Color(0x4286f4)]);

  ///
  /// Cool Sky taken from https://uigradients.com/#CoolSky
  ///
  static Gradient coolSky = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2980b9), Color(0x6dd5fa)]);

  ///
  /// Yoda taken from https://uigradients.com/#Yoda
  ///
  static Gradient yoda = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff0099), Color(0x493240)]);

  ///
  /// Memariani taken from https://uigradients.com/#Memariani
  ///
  static Gradient memariani = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xaa4b6b), Color(0x6b6b83)]);

  ///
  /// Amin taken from https://uigradients.com/#Amin
  ///
  static Gradient amin = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x8e2de2), Color(0x4a00e0)]);

  ///
  /// Harvey taken from https://uigradients.com/#Harvey
  ///
  static Gradient harvey = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1f4037), Color(0x99f2c8)]);

  ///
  /// Neuromancer taken from https://uigradients.com/#Neuromancer
  ///
  static Gradient neuromancer = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf953c6), Color(0xb91d73)]);

  ///
  /// Azur Lane taken from https://uigradients.com/#AzurLane
  ///
  static Gradient azurLane = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x7f7fd5), Color(0x86a8e7)]);

  ///
  /// Witching Hour taken from https://uigradients.com/#WitchingHour
  ///
  static Gradient witchingHour = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc31432), Color(0x240b36)]);

  ///
  /// Flare taken from https://uigradients.com/#Flare
  ///
  static Gradient flare = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf12711), Color(0xf5af19)]);

  ///
  /// Metapolis taken from https://uigradients.com/#Metapolis
  ///
  static Gradient metapolis = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x659999), Color(0xf4791f)]);

  ///
  /// Kyoo Pal taken from https://uigradients.com/#KyooPal
  ///
  static Gradient kyooPal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdd3e54), Color(0x6be585)]);

  ///
  /// Kye Meh taken from https://uigradients.com/#KyeMeh
  ///
  static Gradient kyeMeh = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x8360c3), Color(0x2ebf91)]);

  ///
  /// Kyoo Tah taken from https://uigradients.com/#KyooTah
  ///
  static Gradient kyooTah = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x544a7d), Color(0xffd452)]);

  ///
  /// By Design taken from https://uigradients.com/#ByDesign
  ///
  static Gradient byDesign = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x009fff), Color(0xec2f4b)]);

  ///
  /// Ultra Voilet taken from https://uigradients.com/#UltraVoilet
  ///
  static Gradient ultraVoilet = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x654ea3), Color(0xeaafc8)]);

  ///
  /// Burning Orange taken from https://uigradients.com/#BurningOrange
  ///
  static Gradient burningOrange = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff416c), Color(0xff4b2b)]);

  ///
  /// Wiretap taken from https://uigradients.com/#Wiretap
  ///
  static Gradient wiretap = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x8a2387), Color(0xe94057)]);

  ///
  /// Summer Dog taken from https://uigradients.com/#SummerDog
  ///
  static Gradient summerDog = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa8ff78), Color(0x78ffd6)]);

  ///
  /// Rastafari taken from https://uigradients.com/#Rastafari
  ///
  static Gradient rastafari = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1e9600), Color(0xfff200)]);

  ///
  /// Sin City Red taken from https://uigradients.com/#SinCityRed
  ///
  static Gradient sinCityRed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xed213a), Color(0x93291e)]);

  ///
  /// Citrus Peel taken from https://uigradients.com/#CitrusPeel
  ///
  static Gradient citrusPeel = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfdc830), Color(0xf37335)]);

  ///
  /// Blue Raspberry taken from https://uigradients.com/#BlueRaspberry
  ///
  static Gradient blueRaspberry = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00b4db), Color(0x0083b0)]);

  ///
  /// Margo taken from https://uigradients.com/#Margo
  ///
  static Gradient margo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffefba), Color(0xffffff)]);

  ///
  /// Magic taken from https://uigradients.com/#Magic
  ///
  static Gradient magic = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x59c173), Color(0xa17fe0)]);

  ///
  /// Evening Night taken from https://uigradients.com/#EveningNight
  ///
  static Gradient eveningNight = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x005aa7), Color(0xfffde4)]);

  ///
  /// Vanusa taken from https://uigradients.com/#Vanusa
  ///
  static Gradient vanusa = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xda4453), Color(0x89216b)]);

  ///
  /// Shifty taken from https://uigradients.com/#Shifty
  ///
  static Gradient shifty = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x636363), Color(0xa2ab58)]);

  ///
  /// eXpresso taken from https://uigradients.com/#eXpresso
  ///
  static Gradient expresso = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xad5389), Color(0x3c1053)]);

  ///
  /// Slight Ocean View taken from https://uigradients.com/#SlightOceanView
  ///
  static Gradient slightOceanView = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa8c0ff), Color(0x3f2b96)]);

  ///
  /// Pure Lust taken from https://uigradients.com/#PureLust
  ///
  static Gradient pureLust = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x333333), Color(0xdd1818)]);

  ///
  /// Moon Purple taken from https://uigradients.com/#MoonPurple
  ///
  static Gradient moonPurple = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4e54c8), Color(0x8f94fb)]);

  ///
  /// Red Sunset taken from https://uigradients.com/#RedSunset
  ///
  static Gradient redSunset = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x355c7d), Color(0x6c5b7b)]);

  ///
  /// Shifter taken from https://uigradients.com/#Shifter
  ///
  static Gradient shifter = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbc4e9c), Color(0xf80759)]);

  ///
  /// Wedding Day Blues taken from https://uigradients.com/#WeddingDayBlues
  ///
  static Gradient weddingDayBlues = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x40e0d0), Color(0xff8c00)]);

  ///
  /// Sand to Blue taken from https://uigradients.com/#SandtoBlue
  ///
  static Gradient sandToBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3e5151), Color(0xdecba4)]);

  ///
  /// Quepal taken from https://uigradients.com/#Quepal
  ///
  static Gradient quepal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x11998e), Color(0x38ef7d)]);

  ///
  /// Pun Yeta taken from https://uigradients.com/#PunYeta
  ///
  static Gradient punYeta = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x108dc7), Color(0xef8e38)]);

  ///
  /// Sublime Light taken from https://uigradients.com/#SublimeLight
  ///
  static Gradient sublimeLight = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfc5c7d), Color(0x6a82fb)]);

  ///
  /// Sublime Vivid taken from https://uigradients.com/#SublimeVivid
  ///
  static Gradient sublimeVivid = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfc466b), Color(0x3f5efb)]);

  ///
  /// Bighead taken from https://uigradients.com/#Bighead
  ///
  static Gradient bighead = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc94b4b), Color(0x4b134f)]);

  ///
  /// Taran Tado taken from https://uigradients.com/#TaranTado
  ///
  static Gradient taranTado = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x23074d), Color(0xcc5333)]);

  ///
  /// Relaxing red taken from https://uigradients.com/#Relaxingred
  ///
  static Gradient relaxingRed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfffbd5), Color(0xb20a2c)]);

  ///
  /// Lawrencium taken from https://uigradients.com/#Lawrencium
  ///
  static Gradient lawrencium = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0f0c29), Color(0x302b63)]);

  ///
  /// Ohhappiness taken from https://uigradients.com/#Ohhappiness
  ///
  static Gradient ohhappiness = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00b09b), Color(0x96c93d)]);

  ///
  /// Delicate taken from https://uigradients.com/#Delicate
  ///
  static Gradient delicate = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd3cce3), Color(0xe9e4f0)]);

  ///
  /// Selenium taken from https://uigradients.com/#Selenium
  ///
  static Gradient selenium = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3c3b3f), Color(0x605c3c)]);

  ///
  /// Sulphur taken from https://uigradients.com/#Sulphur
  ///
  static Gradient sulphur = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xcac531), Color(0xf3f9a7)]);

  ///
  /// Pink Flavour taken from https://uigradients.com/#PinkFlavour
  ///
  static Gradient pinkFlavour = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x800080), Color(0xffc0cb)]);

  ///
  /// Rainbow Blue taken from https://uigradients.com/#RainbowBlue
  ///
  static Gradient rainbowBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00f260), Color(0x0575e6)]);

  ///
  /// Orange Fun taken from https://uigradients.com/#OrangeFun
  ///
  static Gradient orangeFun = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfc4a1a), Color(0xf7b733)]);

  ///
  /// Digital Water taken from https://uigradients.com/#DigitalWater
  ///
  static Gradient digitalWater = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x74ebd5), Color(0xacb6e5)]);

  ///
  /// Lithium taken from https://uigradients.com/#Lithium
  ///
  static Gradient lithium = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x6d6027), Color(0xd3cbb8)]);

  ///
  /// Argon taken from https://uigradients.com/#Argon
  ///
  static Gradient argon = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x03001e), Color(0x7303c0)]);

  ///
  /// Hydrogen taken from https://uigradients.com/#Hydrogen
  ///
  static Gradient hydrogen = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x667db6), Color(0x0082c8)]);

  ///
  /// Zinc taken from https://uigradients.com/#Zinc
  ///
  static Gradient zinc = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xada996), Color(0xf2f2f2)]);

  ///
  /// Velvet Sun taken from https://uigradients.com/#VelvetSun
  ///
  static Gradient velvetSun = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe1eec3), Color(0xf05053)]);

  ///
  /// King Yna taken from https://uigradients.com/#KingYna
  ///
  static Gradient kingYna = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1a2a6c), Color(0xb21f1f)]);

  ///
  /// Summer taken from https://uigradients.com/#Summer
  ///
  static Gradient summer = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x22c1c3), Color(0xfdbb2d)]);

  ///
  /// Orange Coral taken from https://uigradients.com/#OrangeCoral
  ///
  static Gradient orangeCoral = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff9966), Color(0xff5e62)]);

  ///
  /// Purpink taken from https://uigradients.com/#Purpink
  ///
  static Gradient purpink = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x7f00ff), Color(0xe100ff)]);

  ///
  /// Dull taken from https://uigradients.com/#Dull
  ///
  static Gradient dull = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc9d6ff), Color(0xe2e2e2)]);

  ///
  /// Kimoby Is The New Blue taken from https://uigradients.com/#KimobyIsTheNewBlue
  ///
  static Gradient kimobyIsTheNewBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x396afc), Color(0x2948ff)]);

  ///
  /// Broken Hearts taken from https://uigradients.com/#BrokenHearts
  ///
  static Gradient brokenHearts = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd9a7c7), Color(0xfffcdc)]);

  ///
  /// Subu taken from https://uigradients.com/#Subu
  ///
  static Gradient subu = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0cebeb), Color(0x20e3b2)]);

  ///
  /// Socialive taken from https://uigradients.com/#Socialive
  ///
  static Gradient socialive = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x06beb6), Color(0x48b1bf)]);

  ///
  /// Crimson Tide taken from https://uigradients.com/#CrimsonTide
  ///
  static Gradient crimsonTide = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x642b73), Color(0xc6426e)]);

  ///
  /// Telegram taken from https://uigradients.com/#Telegram
  ///
  static Gradient telegram = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1c92d2), Color(0xf2fcfe)]);

  ///
  /// Terminal taken from https://uigradients.com/#Terminal
  ///
  static Gradient terminal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x000000), Color(0x0f9b0f)]);

  ///
  /// Scooter taken from https://uigradients.com/#Scooter
  ///
  static Gradient scooter = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x36d1dc), Color(0x5b86e5)]);

  ///
  /// Alive taken from https://uigradients.com/#Alive
  ///
  static Gradient alive = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xcb356b), Color(0xbd3f32)]);

  ///
  /// Relay taken from https://uigradients.com/#Relay
  ///
  static Gradient relay = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3a1c71), Color(0xd76d77)]);

  ///
  /// Meridian taken from https://uigradients.com/#Meridian
  ///
  static Gradient meridian = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x283c86), Color(0x45a247)]);

  ///
  /// Compare Now taken from https://uigradients.com/#CompareNow
  ///
  static Gradient compareNow = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xef3b36), Color(0xffffff)]);

  ///
  /// Mello taken from https://uigradients.com/#Mello
  ///
  static Gradient mello = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc0392b), Color(0x8e44ad)]);

  ///
  /// Crystal Clear taken from https://uigradients.com/#CrystalClear
  ///
  static Gradient crystalClear = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x159957), Color(0x155799)]);

  ///
  /// Visions of Grandeur taken from https://uigradients.com/#VisionsofGrandeur
  ///
  static Gradient visionsOfGrandeur = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x000046), Color(0x1cb5e0)]);

  ///
  /// Chitty Chitty Bang Bang taken from https://uigradients.com/#ChittyChittyBangBang
  ///
  static Gradient chittyChittyBangBang = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x007991), Color(0x78ffd6)]);

  ///
  /// Blue Skies taken from https://uigradients.com/#BlueSkies
  ///
  static Gradient blueSkies = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x56ccf2), Color(0x2f80ed)]);

  ///
  /// Sunkist taken from https://uigradients.com/#Sunkist
  ///
  static Gradient sunkist = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf2994a), Color(0xf2c94c)]);

  ///
  /// Coal taken from https://uigradients.com/#Coal
  ///
  static Gradient coal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xeb5757), Color(0x000000)]);

  ///
  /// Html taken from https://uigradients.com/#Html
  ///
  static Gradient html = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe44d26), Color(0xf16529)]);

  ///
  /// Cinnamint taken from https://uigradients.com/#Cinnamint
  ///
  static Gradient cinnamint = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4ac29a), Color(0xbdfff3)]);

  ///
  /// Maldives taken from https://uigradients.com/#Maldives
  ///
  static Gradient maldives = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb2fefa), Color(0x0ed2f7)]);

  ///
  /// Mini taken from https://uigradients.com/#Mini
  ///
  static Gradient mini = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x30e8bf), Color(0xff8235)]);

  ///
  /// Sha la la taken from https://uigradients.com/#Shalala
  ///
  static Gradient shaLaLa = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd66d75), Color(0xe29587)]);

  ///
  /// Purplepine taken from https://uigradients.com/#Purplepine
  ///
  static Gradient purplepine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x20002c), Color(0xcbb4d4)]);

  ///
  /// Celestial taken from https://uigradients.com/#Celestial
  ///
  static Gradient celestial = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc33764), Color(0x1d2671)]);

  ///
  /// Learning and Leading taken from https://uigradients.com/#LearningandLeading
  ///
  static Gradient learningAndLeading = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf7971e), Color(0xffd200)]);

  ///
  /// Pacific Dream taken from https://uigradients.com/#PacificDream
  ///
  static Gradient pacificDream = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x34e89e), Color(0x0f3443)]);

  ///
  /// Venice taken from https://uigradients.com/#Venice
  ///
  static Gradient venice = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x6190e8), Color(0xa7bfe8)]);

  ///
  /// Orca taken from https://uigradients.com/#Orca
  ///
  static Gradient orca = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x44a08d), Color(0x093637)]);

  ///
  /// Love and Liberty taken from https://uigradients.com/#LoveandLiberty
  ///
  static Gradient loveAndLiberty = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x200122), Color(0x6f0000)]);

  ///
  /// Very Blue taken from https://uigradients.com/#VeryBlue
  ///
  static Gradient veryBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0575e6), Color(0x021b79)]);

  ///
  /// Can You Feel The Love Tonight taken from https://uigradients.com/#CanYouFeelTheLoveTonight
  ///
  static Gradient canYouFeelTheLoveTonight = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4568dc), Color(0xb06ab3)]);

  ///
  /// The Blue Lagoon taken from https://uigradients.com/#TheBlueLagoon
  ///
  static Gradient theBlueLagoon = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x43c6ac), Color(0x191654)]);

  ///
  /// Under the Lake taken from https://uigradients.com/#UndertheLake
  ///
  static Gradient underTheLake = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x093028), Color(0x237a57)]);

  ///
  /// Honey Dew taken from https://uigradients.com/#HoneyDew
  ///
  static Gradient honeyDew = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x43c6ac), Color(0xf8ffae)]);

  ///
  /// Roseanna taken from https://uigradients.com/#Roseanna
  ///
  static Gradient roseanna = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffafbd), Color(0xffc3a0)]);

  ///
  /// What lies Beyond taken from https://uigradients.com/#WhatliesBeyond
  ///
  static Gradient whatLiesBeyond = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf0f2f0), Color(0x000c40)]);

  ///
  /// Rose Colored Lenses taken from https://uigradients.com/#RoseColoredLenses
  ///
  static Gradient roseColoredLenses = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe8cbc0), Color(0x636fa4)]);

  ///
  /// EasyMed taken from https://uigradients.com/#EasyMed
  ///
  static Gradient easymed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdce35b), Color(0x45b649)]);

  ///
  /// Cocoaa Ice taken from https://uigradients.com/#CocoaaIce
  ///
  static Gradient cocoaaIce = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc0c0aa), Color(0x1cefff)]);

  ///
  /// Jodhpur taken from https://uigradients.com/#Jodhpur
  ///
  static Gradient jodhpur = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x9cecfb), Color(0x65c7f7)]);

  ///
  /// Jaipur taken from https://uigradients.com/#Jaipur
  ///
  static Gradient jaipur = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdbe6f6), Color(0xc5796d)]);

  ///
  /// Vice City taken from https://uigradients.com/#ViceCity
  ///
  static Gradient viceCity = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3494e6), Color(0xec6ead)]);

  ///
  /// Mild taken from https://uigradients.com/#Mild
  ///
  static Gradient mild = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x67b26f), Color(0x4ca2cd)]);

  ///
  /// Dawn taken from https://uigradients.com/#Dawn
  ///
  static Gradient dawn = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf3904f), Color(0x3b4371)]);

  ///
  /// Ibiza Sunset taken from https://uigradients.com/#IbizaSunset
  ///
  static Gradient ibizaSunset = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xee0979), Color(0xff6a00)]);

  ///
  /// Radar taken from https://uigradients.com/#Radar
  ///
  static Gradient radar = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa770ef), Color(0xcf8bf3)]);

  ///
  /// 80's Purple taken from https://uigradients.com/#80'sPurple
  ///
  static Gradient eightiesPurple = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x41295a), Color(0x2f0743)]);

  ///
  /// Black Rosé taken from https://uigradients.com/#BlackRosé
  ///
  static Gradient blackRos = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf4c4f3), Color(0xfc67fa)]);

  ///
  /// Brady Brady Fun Fun taken from https://uigradients.com/#BradyBradyFunFun
  ///
  static Gradient bradyBradyFunFun = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00c3ff), Color(0xffff1c)]);

  ///
  /// Ed's Sunset Gradient taken from https://uigradients.com/#Ed'sSunsetGradient
  ///
  static Gradient edsSunsetGradient = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff7e5f), Color(0xfeb47b)]);

  ///
  /// Snapchat taken from https://uigradients.com/#Snapchat
  ///
  static Gradient snapchat = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfffc00), Color(0xffffff)]);

  ///
  /// Cosmic Fusion taken from https://uigradients.com/#CosmicFusion
  ///
  static Gradient cosmicFusion = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff00cc), Color(0x333399)]);

  ///
  /// Nepal taken from https://uigradients.com/#Nepal
  ///
  static Gradient nepal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xde6161), Color(0x2657eb)]);

  ///
  /// Azure Pop taken from https://uigradients.com/#AzurePop
  ///
  static Gradient azurePop = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xef32d9), Color(0x89fffd)]);

  ///
  /// Love Couple taken from https://uigradients.com/#LoveCouple
  ///
  static Gradient loveCouple = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3a6186), Color(0x89253e)]);

  ///
  /// Disco taken from https://uigradients.com/#Disco
  ///
  static Gradient disco = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4ecdc4), Color(0x556270)]);

  ///
  /// Limeade taken from https://uigradients.com/#Limeade
  ///
  static Gradient limeade = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa1ffce), Color(0xfaffd1)]);

  ///
  /// Dania taken from https://uigradients.com/#Dania
  ///
  static Gradient dania = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbe93c5), Color(0x7bc6cc)]);

  ///
  /// 50 Shades of Grey taken from https://uigradients.com/#50ShadesofGrey
  ///
  static Gradient fiftyShadesOfGrey = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbdc3c7), Color(0x2c3e50)]);

  ///
  /// Jupiter taken from https://uigradients.com/#Jupiter
  ///
  static Gradient jupiter = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffd89b), Color(0x19547b)]);

  ///
  /// IIIT Delhi taken from https://uigradients.com/#IIITDelhi
  ///
  static Gradient iiitDelhi = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x808080), Color(0x3fada8)]);

  ///
  /// Sun on the Horizon taken from https://uigradients.com/#SunontheHorizon
  ///
  static Gradient sunOnTheHorizon = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfceabb), Color(0xf8b500)]);

  ///
  /// Blood Red taken from https://uigradients.com/#BloodRed
  ///
  static Gradient bloodRed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf85032), Color(0xe73827)]);

  ///
  /// Sherbert taken from https://uigradients.com/#Sherbert
  ///
  static Gradient sherbert = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf79d00), Color(0x64f38c)]);

  ///
  /// Firewatch taken from https://uigradients.com/#Firewatch
  ///
  static Gradient firewatch = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xcb2d3e), Color(0xef473a)]);

  ///
  /// Lush taken from https://uigradients.com/#Lush
  ///
  static Gradient lush = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x56ab2f), Color(0xa8e063)]);

  ///
  /// Frost taken from https://uigradients.com/#Frost
  ///
  static Gradient frost = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x000428), Color(0x004e92)]);

  ///
  /// Mauve taken from https://uigradients.com/#Mauve
  ///
  static Gradient mauve = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x42275a), Color(0x734b6d)]);

  ///
  /// Royal taken from https://uigradients.com/#Royal
  ///
  static Gradient royal = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x141e30), Color(0x243b55)]);

  ///
  /// Minimal Red taken from https://uigradients.com/#MinimalRed
  ///
  static Gradient minimalRed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf00000), Color(0xdc281e)]);

  ///
  /// Dusk taken from https://uigradients.com/#Dusk
  ///
  static Gradient dusk = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2c3e50), Color(0xfd746c)]);

  ///
  /// Deep Sea Space taken from https://uigradients.com/#DeepSeaSpace
  ///
  static Gradient deepSeaSpace = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2c3e50), Color(0x4ca1af)]);

  ///
  /// Grapefruit Sunset taken from https://uigradients.com/#GrapefruitSunset
  ///
  static Gradient grapefruitSunset = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe96443), Color(0x904e95)]);

  ///
  /// Sunset taken from https://uigradients.com/#Sunset
  ///
  static Gradient sunset = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0b486b), Color(0xf56217)]);

  ///
  /// Solid Vault taken from https://uigradients.com/#SolidVault
  ///
  static Gradient solidVault = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3a7bd5), Color(0x3a6073)]);

  ///
  /// Bright Vault taken from https://uigradients.com/#BrightVault
  ///
  static Gradient brightVault = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00d2ff), Color(0x928dab)]);

  ///
  /// Politics taken from https://uigradients.com/#Politics
  ///
  static Gradient politics = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2196f3), Color(0xf44336)]);

  ///
  /// Sweet Morning taken from https://uigradients.com/#SweetMorning
  ///
  static Gradient sweetMorning = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff5f6d), Color(0xffc371)]);

  ///
  /// Sylvia taken from https://uigradients.com/#Sylvia
  ///
  static Gradient sylvia = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff4b1f), Color(0xff9068)]);

  ///
  /// Transfile taken from https://uigradients.com/#Transfile
  ///
  static Gradient transfile = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x16bffd), Color(0xcb3066)]);

  ///
  /// Tranquil taken from https://uigradients.com/#Tranquil
  ///
  static Gradient tranquil = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xeecda3), Color(0xef629f)]);

  ///
  /// Red Ocean taken from https://uigradients.com/#RedOcean
  ///
  static Gradient redOcean = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1d4350), Color(0xa43931)]);

  ///
  /// Shahabi taken from https://uigradients.com/#Shahabi
  ///
  static Gradient shahabi = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa80077), Color(0x66ff00)]);

  ///
  /// Alihossein taken from https://uigradients.com/#Alihossein
  ///
  static Gradient alihossein = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf7ff00), Color(0xdb36a4)]);

  ///
  /// Ali taken from https://uigradients.com/#Ali
  ///
  static Gradient ali = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff4b1f), Color(0x1fddff)]);

  ///
  /// Purple White taken from https://uigradients.com/#PurpleWhite
  ///
  static Gradient purpleWhite = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xba5370), Color(0xf4e2d8)]);

  ///
  /// Colors Of Sky taken from https://uigradients.com/#ColorsOfSky
  ///
  static Gradient colorsOfSky = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe0eafc), Color(0xcfdef3)]);

  ///
  /// Decent taken from https://uigradients.com/#Decent
  ///
  static Gradient decent = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4ca1af), Color(0xc4e0e5)]);

  ///
  /// Deep Space taken from https://uigradients.com/#DeepSpace
  ///
  static Gradient deepSpace = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x000000), Color(0x434343)]);

  ///
  /// Dark Skies taken from https://uigradients.com/#DarkSkies
  ///
  static Gradient darkSkies = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4b79a1), Color(0x283e51)]);

  ///
  /// Suzy taken from https://uigradients.com/#Suzy
  ///
  static Gradient suzy = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x834d9b), Color(0xd04ed6)]);

  ///
  /// Superman taken from https://uigradients.com/#Superman
  ///
  static Gradient superman = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0099f7), Color(0xf11712)]);

  ///
  /// Nighthawk taken from https://uigradients.com/#Nighthawk
  ///
  static Gradient nighthawk = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2980b9), Color(0x2c3e50)]);

  ///
  /// Forest taken from https://uigradients.com/#Forest
  ///
  static Gradient forest = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5a3f37), Color(0x2c7744)]);

  ///
  /// Miami Dolphins taken from https://uigradients.com/#MiamiDolphins
  ///
  static Gradient miamiDolphins = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4da0b0), Color(0xd39d38)]);

  ///
  /// Minnesota Vikings taken from https://uigradients.com/#MinnesotaVikings
  ///
  static Gradient minnesotaVikings = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5614b0), Color(0xdbd65c)]);

  ///
  /// Christmas taken from https://uigradients.com/#Christmas
  ///
  static Gradient christmas = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2f7336), Color(0xaa3a38)]);

  ///
  /// Joomla taken from https://uigradients.com/#Joomla
  ///
  static Gradient joomla = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1e3c72), Color(0x2a5298)]);

  ///
  /// Pizelex taken from https://uigradients.com/#Pizelex
  ///
  static Gradient pizelex = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x114357), Color(0xf29492)]);

  ///
  /// Haikus taken from https://uigradients.com/#Haikus
  ///
  static Gradient haikus = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfd746c), Color(0xff9068)]);

  ///
  /// Pale Wood taken from https://uigradients.com/#PaleWood
  ///
  static Gradient paleWood = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xeacda3), Color(0xd6ae7b)]);

  ///
  /// Purplin taken from https://uigradients.com/#Purplin
  ///
  static Gradient purplin = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x6a3093), Color(0xa044ff)]);

  ///
  /// Inbox taken from https://uigradients.com/#Inbox
  ///
  static Gradient inbox = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x457fca), Color(0x5691c8)]);

  ///
  /// Blush taken from https://uigradients.com/#Blush
  ///
  static Gradient blush = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb24592), Color(0xf15f79)]);

  ///
  /// Back to the Future taken from https://uigradients.com/#BacktotheFuture
  ///
  static Gradient backToTheFuture = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc02425), Color(0xf0cb35)]);

  ///
  /// Poncho taken from https://uigradients.com/#Poncho
  ///
  static Gradient poncho = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x403a3e), Color(0xbe5869)]);

  ///
  /// Green and Blue taken from https://uigradients.com/#GreenandBlue
  ///
  static Gradient greenAndBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc2e59c), Color(0x64b3f4)]);

  ///
  /// Light Orange taken from https://uigradients.com/#LightOrange
  ///
  static Gradient lightOrange = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffb75e), Color(0xed8f03)]);

  ///
  /// Netflix taken from https://uigradients.com/#Netflix
  ///
  static Gradient netflix = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x8e0e00), Color(0x1f1c18)]);

  ///
  /// Little Leaf taken from https://uigradients.com/#LittleLeaf
  ///
  static Gradient littleLeaf = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x76b852), Color(0x8dc26f)]);

  ///
  /// Deep Purple taken from https://uigradients.com/#DeepPurple
  ///
  static Gradient deepPurple = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x673ab7), Color(0x512da8)]);

  ///
  /// Back To Earth taken from https://uigradients.com/#BackToEarth
  ///
  static Gradient backToEarth = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00c9ff), Color(0x92fe9d)]);

  ///
  /// Master Card taken from https://uigradients.com/#MasterCard
  ///
  static Gradient masterCard = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf46b45), Color(0xeea849)]);

  ///
  /// Clear Sky taken from https://uigradients.com/#ClearSky
  ///
  static Gradient clearSky = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x005c97), Color(0x363795)]);

  ///
  /// Passion taken from https://uigradients.com/#Passion
  ///
  static Gradient passion = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe53935), Color(0xe35d5b)]);

  ///
  /// Timber taken from https://uigradients.com/#Timber
  ///
  static Gradient timber = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfc00ff), Color(0x00dbde)]);

  ///
  /// Between Night and Day taken from https://uigradients.com/#BetweenNightandDay
  ///
  static Gradient betweenNightAndDay = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2c3e50), Color(0x3498db)]);

  ///
  /// Sage Persuasion taken from https://uigradients.com/#SagePersuasion
  ///
  static Gradient sagePersuasion = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xccccb2), Color(0x757519)]);

  ///
  /// Lizard taken from https://uigradients.com/#Lizard
  ///
  static Gradient lizard = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x304352), Color(0xd7d2cc)]);

  ///
  /// Piglet taken from https://uigradients.com/#Piglet
  ///
  static Gradient piglet = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xee9ca7), Color(0xffdde1)]);

  ///
  /// Dark Knight taken from https://uigradients.com/#DarkKnight
  ///
  static Gradient darkKnight = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xba8b02), Color(0x181818)]);

  ///
  /// Curiosity blue taken from https://uigradients.com/#Curiosityblue
  ///
  static Gradient curiosityBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x525252), Color(0x3d72b4)]);

  ///
  /// Ukraine taken from https://uigradients.com/#Ukraine
  ///
  static Gradient ukraine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x004ff9), Color(0xfff94c)]);

  ///
  /// Green to dark taken from https://uigradients.com/#Greentodark
  ///
  static Gradient greenToDark = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x6a9113), Color(0x141517)]);

  ///
  /// Fresh Turboscent taken from https://uigradients.com/#FreshTurboscent
  ///
  static Gradient freshTurboscent = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf1f2b5), Color(0x135058)]);

  ///
  /// Koko Caramel taken from https://uigradients.com/#KokoCaramel
  ///
  static Gradient kokoCaramel = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd1913c), Color(0xffd194)]);

  ///
  /// Virgin America taken from https://uigradients.com/#VirginAmerica
  ///
  static Gradient virginAmerica = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x7b4397), Color(0xdc2430)]);

  ///
  /// Portrait taken from https://uigradients.com/#Portrait
  ///
  static Gradient portrait = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x8e9eab), Color(0xeef2f3)]);

  ///
  /// Turquoise flow taken from https://uigradients.com/#Turquoiseflow
  ///
  static Gradient turquoiseFlow = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x136a8a), Color(0x267871)]);

  ///
  /// Vine taken from https://uigradients.com/#Vine
  ///
  static Gradient vine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00bf8f), Color(0x001510)]);

  ///
  /// Flickr taken from https://uigradients.com/#Flickr
  ///
  static Gradient flickr = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff0084), Color(0x33001b)]);

  ///
  /// Instagram taken from https://uigradients.com/#Instagram
  ///
  static Gradient instagram = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x833ab4), Color(0xfd1d1d)]);

  ///
  /// Atlas taken from https://uigradients.com/#Atlas
  ///
  static Gradient atlas = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfeac5e), Color(0xc779d0)]);

  ///
  /// Twitch taken from https://uigradients.com/#Twitch
  ///
  static Gradient twitch = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x6441a5), Color(0x2a0845)]);

  ///
  /// Pastel Orange at the Sun taken from https://uigradients.com/#PastelOrangeattheSun
  ///
  static Gradient pastelOrangeAtTheSun = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffb347), Color(0xffcc33)]);

  ///
  /// Endless River taken from https://uigradients.com/#EndlessRiver
  ///
  static Gradient endlessRiver = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x43cea2), Color(0x185a9d)]);

  ///
  /// Predawn taken from https://uigradients.com/#Predawn
  ///
  static Gradient predawn = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffa17f), Color(0x00223e)]);

  ///
  /// Purple Bliss taken from https://uigradients.com/#PurpleBliss
  ///
  static Gradient purpleBliss = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x360033), Color(0x0b8793)]);

  ///
  /// Talking To Mice Elf taken from https://uigradients.com/#TalkingToMiceElf
  ///
  static Gradient talkingToMiceElf = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x948e99), Color(0x2e1437)]);

  ///
  /// Hersheys taken from https://uigradients.com/#Hersheys
  ///
  static Gradient hersheys = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1e130c), Color(0x9a8478)]);

  ///
  /// Crazy Orange I taken from https://uigradients.com/#CrazyOrangeI
  ///
  static Gradient crazyOrangeI = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd38312), Color(0xa83279)]);

  ///
  /// Between The Clouds taken from https://uigradients.com/#BetweenTheClouds
  ///
  static Gradient betweenTheClouds = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x73c8a9), Color(0x373b44)]);

  ///
  /// Metallic Toad taken from https://uigradients.com/#MetallicToad
  ///
  static Gradient metallicToad = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xabbaab), Color(0xffffff)]);

  ///
  /// Martini taken from https://uigradients.com/#Martini
  ///
  static Gradient martini = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfdfc47), Color(0x24fe41)]);

  ///
  /// Friday taken from https://uigradients.com/#Friday
  ///
  static Gradient friday = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x83a4d4), Color(0xb6fbff)]);

  ///
  /// ServQuick taken from https://uigradients.com/#ServQuick
  ///
  static Gradient servquick = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x485563), Color(0x29323c)]);

  ///
  /// Behongo taken from https://uigradients.com/#Behongo
  ///
  static Gradient behongo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x52c234), Color(0x061700)]);

  ///
  /// SoundCloud taken from https://uigradients.com/#SoundCloud
  ///
  static Gradient soundcloud = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfe8c00), Color(0xf83600)]);

  ///
  /// Facebook Messenger taken from https://uigradients.com/#FacebookMessenger
  ///
  static Gradient facebookMessenger = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00c6ff), Color(0x0072ff)]);

  ///
  /// Shore taken from https://uigradients.com/#Shore
  ///
  static Gradient shore = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x70e1f5), Color(0xffd194)]);

  ///
  /// Cheer Up Emo Kid taken from https://uigradients.com/#CheerUpEmoKid
  ///
  static Gradient cheerUpEmoKid = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x556270), Color(0xff6b6b)]);

  ///
  /// Amethyst taken from https://uigradients.com/#Amethyst
  ///
  static Gradient amethyst = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x9d50bb), Color(0x6e48aa)]);

  ///
  /// Man of Steel taken from https://uigradients.com/#ManofSteel
  ///
  static Gradient manOfSteel = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x780206), Color(0x061161)]);

  ///
  /// Neon Life taken from https://uigradients.com/#NeonLife
  ///
  static Gradient neonLife = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb3ffab), Color(0x12fff7)]);

  ///
  /// Teal Love taken from https://uigradients.com/#TealLove
  ///
  static Gradient tealLove = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xaaffa9), Color(0x11ffbd)]);

  ///
  /// Red Mist taken from https://uigradients.com/#RedMist
  ///
  static Gradient redMist = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x000000), Color(0xe74c3c)]);

  ///
  /// Starfall taken from https://uigradients.com/#Starfall
  ///
  static Gradient starfall = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf0c27b), Color(0x4b1248)]);

  ///
  /// Dance To Forget taken from https://uigradients.com/#DanceToForget
  ///
  static Gradient danceToForget = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff4e50), Color(0xf9d423)]);

  ///
  /// Parklife taken from https://uigradients.com/#Parklife
  ///
  static Gradient parklife = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xadd100), Color(0x7b920a)]);

  ///
  /// Cherryblossoms taken from https://uigradients.com/#Cherryblossoms
  ///
  static Gradient cherryblossoms = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfbd3e9), Color(0xbb377d)]);

  ///
  /// Ash taken from https://uigradients.com/#Ash
  ///
  static Gradient ash = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x606c88), Color(0x3f4c6b)]);

  ///
  /// Virgin taken from https://uigradients.com/#Virgin
  ///
  static Gradient virgin = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc9ffbf), Color(0xffafbd)]);

  ///
  /// Earthly taken from https://uigradients.com/#Earthly
  ///
  static Gradient earthly = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x649173), Color(0xdbd5a4)]);

  ///
  /// Dirty Fog taken from https://uigradients.com/#DirtyFog
  ///
  static Gradient dirtyFog = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb993d6), Color(0x8ca6db)]);

  ///
  /// The Strain taken from https://uigradients.com/#TheStrain
  ///
  static Gradient theStrain = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x870000), Color(0x190a05)]);

  ///
  /// Reef taken from https://uigradients.com/#Reef
  ///
  static Gradient reef = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00d2ff), Color(0x3a7bd5)]);

  ///
  /// Candy taken from https://uigradients.com/#Candy
  ///
  static Gradient candy = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd3959b), Color(0xbfe6ba)]);

  ///
  /// Autumn taken from https://uigradients.com/#Autumn
  ///
  static Gradient autumn = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdad299), Color(0xb0dab9)]);

  ///
  /// Nelson taken from https://uigradients.com/#Nelson
  ///
  static Gradient nelson = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf2709c), Color(0xff9472)]);

  ///
  /// Winter taken from https://uigradients.com/#Winter
  ///
  static Gradient winter = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe6dada), Color(0x274046)]);

  ///
  /// Forever Lost taken from https://uigradients.com/#ForeverLost
  ///
  static Gradient foreverLost = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5d4157), Color(0xa8caba)]);

  ///
  /// Almost taken from https://uigradients.com/#Almost
  ///
  static Gradient almost = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xddd6f3), Color(0xfaaca8)]);

  ///
  /// Moor taken from https://uigradients.com/#Moor
  ///
  static Gradient moor = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x616161), Color(0x9bc5c3)]);

  ///
  /// Aqualicious taken from https://uigradients.com/#Aqualicious
  ///
  static Gradient aqualicious = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x50c9c3), Color(0x96deda)]);

  ///
  /// Misty Meadow taken from https://uigradients.com/#MistyMeadow
  ///
  static Gradient mistyMeadow = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x215f00), Color(0xe4e4d9)]);

  ///
  /// Kyoto taken from https://uigradients.com/#Kyoto
  ///
  static Gradient kyoto = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc21500), Color(0xffc500)]);

  ///
  /// Sirius Tamed taken from https://uigradients.com/#SiriusTamed
  ///
  static Gradient siriusTamed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xefefbb), Color(0xd4d3dd)]);

  ///
  /// Jonquil taken from https://uigradients.com/#Jonquil
  ///
  static Gradient jonquil = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffeeee), Color(0xddefbb)]);

  ///
  /// Petrichor taken from https://uigradients.com/#Petrichor
  ///
  static Gradient petrichor = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x666600), Color(0x999966)]);

  ///
  /// A Lost Memory taken from https://uigradients.com/#ALostMemory
  ///
  static Gradient aLostMemory = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xde6262), Color(0xffb88c)]);

  ///
  /// Vasily taken from https://uigradients.com/#Vasily
  ///
  static Gradient vasily = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe9d362), Color(0x333333)]);

  ///
  /// Blurry Beach taken from https://uigradients.com/#BlurryBeach
  ///
  static Gradient blurryBeach = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd53369), Color(0xcbad6d)]);

  ///
  /// Namn taken from https://uigradients.com/#Namn
  ///
  static Gradient namn = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xa73737), Color(0x7a2828)]);

  ///
  /// Day Tripper taken from https://uigradients.com/#DayTripper
  ///
  static Gradient dayTripper = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf857a6), Color(0xff5858)]);

  ///
  /// Pinot Noir taken from https://uigradients.com/#PinotNoir
  ///
  static Gradient pinotNoir = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4b6cb7), Color(0x182848)]);

  ///
  /// Miaka taken from https://uigradients.com/#Miaka
  ///
  static Gradient miaka = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xfc354c), Color(0x0abfbc)]);

  ///
  /// Army taken from https://uigradients.com/#Army
  ///
  static Gradient army = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x414d0b), Color(0x727a17)]);

  ///
  /// Shrimpy taken from https://uigradients.com/#Shrimpy
  ///
  static Gradient shrimpy = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe43a15), Color(0xe65245)]);

  ///
  /// Influenza taken from https://uigradients.com/#Influenza
  ///
  static Gradient influenza = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xc04848), Color(0x480048)]);

  ///
  /// Calm Darya taken from https://uigradients.com/#CalmDarya
  ///
  static Gradient calmDarya = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5f2c82), Color(0x49a09d)]);

  ///
  /// Bourbon taken from https://uigradients.com/#Bourbon
  ///
  static Gradient bourbon = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xec6f66), Color(0xf3a183)]);

  ///
  /// Stellar taken from https://uigradients.com/#Stellar
  ///
  static Gradient stellar = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x7474bf), Color(0x348ac7)]);

  ///
  /// Clouds taken from https://uigradients.com/#Clouds
  ///
  static Gradient clouds = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xece9e6), Color(0xffffff)]);

  ///
  /// Moonrise taken from https://uigradients.com/#Moonrise
  ///
  static Gradient moonrise = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdae2f8), Color(0xd6a4a4)]);

  ///
  /// Peach taken from https://uigradients.com/#Peach
  ///
  static Gradient peach = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xed4264), Color(0xffedbc)]);

  ///
  /// Dracula taken from https://uigradients.com/#Dracula
  ///
  static Gradient dracula = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdc2424), Color(0x4a569d)]);

  ///
  /// Mantle taken from https://uigradients.com/#Mantle
  ///
  static Gradient mantle = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x24c6dc), Color(0x514a9d)]);

  ///
  /// Titanium taken from https://uigradients.com/#Titanium
  ///
  static Gradient titanium = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x283048), Color(0x859398)]);

  ///
  /// Opa taken from https://uigradients.com/#Opa
  ///
  static Gradient opa = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3d7eaa), Color(0xffe47a)]);

  ///
  /// Sea Blizz taken from https://uigradients.com/#SeaBlizz
  ///
  static Gradient seaBlizz = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1cd8d2), Color(0x93edc7)]);

  ///
  /// Midnight City taken from https://uigradients.com/#MidnightCity
  ///
  static Gradient midnightCity = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x232526), Color(0x414345)]);

  ///
  /// Mystic taken from https://uigradients.com/#Mystic
  ///
  static Gradient mystic = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x757f9a), Color(0xd7dde8)]);

  ///
  /// Shroom Haze taken from https://uigradients.com/#ShroomHaze
  ///
  static Gradient shroomHaze = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5c258d), Color(0x4389a2)]);

  ///
  /// Moss taken from https://uigradients.com/#Moss
  ///
  static Gradient moss = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x134e5e), Color(0x71b280)]);

  ///
  /// Bora Bora taken from https://uigradients.com/#BoraBora
  ///
  static Gradient boraBora = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2bc0e4), Color(0xeaecc6)]);

  ///
  /// Venice Blue taken from https://uigradients.com/#VeniceBlue
  ///
  static Gradient veniceBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x085078), Color(0x85d8ce)]);

  ///
  /// Electric Violet taken from https://uigradients.com/#ElectricViolet
  ///
  static Gradient electricViolet = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4776e6), Color(0x8e54e9)]);

  ///
  /// Kashmir taken from https://uigradients.com/#Kashmir
  ///
  static Gradient kashmir = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x614385), Color(0x516395)]);

  ///
  /// Steel Gray taken from https://uigradients.com/#SteelGray
  ///
  static Gradient steelGray = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1f1c2c), Color(0x928dab)]);

  ///
  /// Mirage taken from https://uigradients.com/#Mirage
  ///
  static Gradient mirage = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x16222a), Color(0x3a6073)]);

  ///
  /// Juicy Orange taken from https://uigradients.com/#JuicyOrange
  ///
  static Gradient juicyOrange = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff8008), Color(0xffc837)]);

  ///
  /// Mojito taken from https://uigradients.com/#Mojito
  ///
  static Gradient mojito = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1d976c), Color(0x93f9b9)]);

  ///
  /// Cherry taken from https://uigradients.com/#Cherry
  ///
  static Gradient cherry = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xeb3349), Color(0xf45c43)]);

  ///
  /// Pinky taken from https://uigradients.com/#Pinky
  ///
  static Gradient pinky = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xdd5e89), Color(0xf7bb97)]);

  ///
  /// Sea Weed taken from https://uigradients.com/#SeaWeed
  ///
  static Gradient seaWeed = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x4cb8c4), Color(0x3cd3ad)]);

  ///
  /// Stripe taken from https://uigradients.com/#Stripe
  ///
  static Gradient stripe = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1fa2ff), Color(0x12d8fa)]);

  ///
  /// Purple Paradise taken from https://uigradients.com/#PurpleParadise
  ///
  static Gradient purpleParadise = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1d2b64), Color(0xf8cdda)]);

  ///
  /// Sunrise taken from https://uigradients.com/#Sunrise
  ///
  static Gradient sunrise = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff512f), Color(0xf09819)]);

  ///
  /// Aqua Marine taken from https://uigradients.com/#AquaMarine
  ///
  static Gradient aquaMarine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1a2980), Color(0x26d0ce)]);

  ///
  /// Aubergine taken from https://uigradients.com/#Aubergine
  ///
  static Gradient aubergine = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xaa076b), Color(0x61045f)]);

  ///
  /// Bloody Mary taken from https://uigradients.com/#BloodyMary
  ///
  static Gradient bloodyMary = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff512f), Color(0xdd2476)]);

  ///
  /// Mango Pulp taken from https://uigradients.com/#MangoPulp
  ///
  static Gradient mangoPulp = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf09819), Color(0xedde5d)]);

  ///
  /// Frozen taken from https://uigradients.com/#Frozen
  ///
  static Gradient frozen = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x403b4a), Color(0xe7e9bb)]);

  ///
  /// Rose Water taken from https://uigradients.com/#RoseWater
  ///
  static Gradient roseWater = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe55d87), Color(0x5fc3e4)]);

  ///
  /// Horizon taken from https://uigradients.com/#Horizon
  ///
  static Gradient horizon = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x003973), Color(0xe5e5be)]);

  ///
  /// Monte Carlo taken from https://uigradients.com/#MonteCarlo
  ///
  static Gradient monteCarlo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xcc95c0), Color(0xdbd4b4)]);

  ///
  /// Lemon Twist taken from https://uigradients.com/#LemonTwist
  ///
  static Gradient lemonTwist = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x3ca55c), Color(0xb5ac49)]);

  ///
  /// Emerald Water taken from https://uigradients.com/#EmeraldWater
  ///
  static Gradient emeraldWater = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x348f50), Color(0x56b4d3)]);

  ///
  /// Intuitive Purple taken from https://uigradients.com/#IntuitivePurple
  ///
  static Gradient intuitivePurple = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xda22ff), Color(0x9733ee)]);

  ///
  /// Green Beach taken from https://uigradients.com/#GreenBeach
  ///
  static Gradient greenBeach = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x02aab0), Color(0x00cdac)]);

  ///
  /// Sunny Days taken from https://uigradients.com/#SunnyDays
  ///
  static Gradient sunnyDays = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xede574), Color(0xe1f5c4)]);

  ///
  /// Playing with Reds taken from https://uigradients.com/#PlayingwithReds
  ///
  static Gradient playingWithReds = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xd31027), Color(0xea384d)]);

  ///
  /// Harmonic Energy taken from https://uigradients.com/#HarmonicEnergy
  ///
  static Gradient harmonicEnergy = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x16a085), Color(0xf4d03f)]);

  ///
  /// Cool Brown taken from https://uigradients.com/#CoolBrown
  ///
  static Gradient coolBrown = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x603813), Color(0xb29f94)]);

  ///
  /// YouTube taken from https://uigradients.com/#YouTube
  ///
  static Gradient youtube = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe52d27), Color(0xb31217)]);

  ///
  /// Noon to Dusk taken from https://uigradients.com/#NoontoDusk
  ///
  static Gradient noonToDusk = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xff6e7f), Color(0xbfe9ff)]);

  ///
  /// Hazel taken from https://uigradients.com/#Hazel
  ///
  static Gradient hazel = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x77a1d3), Color(0x79cbca)]);

  ///
  /// Nimvelo taken from https://uigradients.com/#Nimvelo
  ///
  static Gradient nimvelo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x314755), Color(0x26a0da)]);

  ///
  /// Sea Blue taken from https://uigradients.com/#SeaBlue
  ///
  static Gradient seaBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2b5876), Color(0x4e4376)]);

  ///
  /// Blooker20 taken from https://uigradients.com/#Blooker20
  ///
  static Gradient blooker20 = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xe65c00), Color(0xf9d423)]);

  ///
  /// Sexy Blue taken from https://uigradients.com/#SexyBlue
  ///
  static Gradient sexyBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x2193b0), Color(0x6dd5ed)]);

  ///
  /// Purple Love taken from https://uigradients.com/#PurpleLove
  ///
  static Gradient purpleLove = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xcc2b5e), Color(0x753a88)]);

  ///
  /// DIMIGO taken from https://uigradients.com/#DIMIGO
  ///
  static Gradient dimigo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xec008c), Color(0xfc6767)]);

  ///
  /// Skyline taken from https://uigradients.com/#Skyline
  ///
  static Gradient skyline = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x1488cc), Color(0x2b32b2)]);

  ///
  /// Sel taken from https://uigradients.com/#Sel
  ///
  static Gradient sel = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00467f), Color(0xa5cc82)]);

  ///
  /// Sky taken from https://uigradients.com/#Sky
  ///
  static Gradient sky = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x076585), Color(0xffffff)]);

  ///
  /// Petrol taken from https://uigradients.com/#Petrol
  ///
  static Gradient petrol = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbbd2c5), Color(0x536976)]);

  ///
  /// Anamnisar taken from https://uigradients.com/#Anamnisar
  ///
  static Gradient anamnisar = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x9796f0), Color(0xfbc7d4)]);

  ///
  /// Copper taken from https://uigradients.com/#Copper
  ///
  static Gradient copper = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xb79891), Color(0x94716b)]);

  ///
  /// Royal Blue + Petrol taken from https://uigradients.com/#RoyalBlue+Petrol
  ///
  static Gradient royalBluePetrol = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xbbd2c5), Color(0x536976)]);

  ///
  /// Royal Blue taken from https://uigradients.com/#RoyalBlue
  ///
  static Gradient royalBlue = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x536976), Color(0x292e49)]);

  ///
  /// Windy taken from https://uigradients.com/#Windy
  ///
  static Gradient windy = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xacb6e5), Color(0x86fde8)]);

  ///
  /// Rea taken from https://uigradients.com/#Rea
  ///
  static Gradient rea = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffe000), Color(0x799f0c)]);

  ///
  /// Bupe taken from https://uigradients.com/#Bupe
  ///
  static Gradient bupe = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00416a), Color(0xe4e5e6)]);

  ///
  /// Mango taken from https://uigradients.com/#Mango
  ///
  static Gradient mango = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffe259), Color(0xffa751)]);

  ///
  /// Reaqua taken from https://uigradients.com/#Reaqua
  ///
  static Gradient reaqua = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x799f0c), Color(0xacbb78)]);

  ///
  /// Lunada taken from https://uigradients.com/#Lunada
  ///
  static Gradient lunada = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x5433ff), Color(0x20bdff)]);

  ///
  /// Bluelagoo taken from https://uigradients.com/#Bluelagoo
  ///
  static Gradient bluelagoo = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x0052d4), Color(0x4364f7)]);

  ///
  /// Anwar taken from https://uigradients.com/#Anwar
  ///
  static Gradient anwar = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x334d50), Color(0xcbcaa5)]);

  ///
  /// Combi taken from https://uigradients.com/#Combi
  ///
  static Gradient combi = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00416a), Color(0x799f0c)]);

  ///
  /// Ver Black taken from https://uigradients.com/#VerBlack
  ///
  static Gradient verBlack = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xf7f8f8), Color(0xacbb78)]);

  ///
  /// Ver taken from https://uigradients.com/#Ver
  ///
  static Gradient ver = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0xffe000), Color(0x799f0c)]);

  ///
  /// Blu taken from https://uigradients.com/#Blu
  ///
  static Gradient blu = LinearGradient(
      begin: Alignment.topCenter,
      end: Alignment.bottomCenter,
      colors: const [Color(0x00416a), Color(0xe4e5e6)]);
}
